from pathlib import Path

OKOBAU_URL = "https://oekobaudat.de/OEKOBAU.DAT/resource/datastocks/cd2bda71-760b-4fcc-8a0b-3877c10000a8"


def get_folder(source, name: str) -> Path:
    """Get or create a folder with the given name"""

    folder = Path(source).parent / name
    if not folder.exists():
        folder.mkdir()

    return folder
